Refresh JWT

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

👍

Best Practice

We strongly recommend automating the JWT refresh so that bots do not make calls with a stale token.

Refresh the JWT used for HTTP authentication to Bot APi v3 by making a PUT request to /bots/v3/tokens/appId/appId.

The call returns a new token with a new expiration stamp (expiresAtMillis). The token may be refreshed at any time prior to expiration. Once an old token is submitted for a refresh, it will remain valid for a grace period of 10 minutes. Once the 10-minute window passes, only the new token returned by the call will be valid.

Related endpoints

ActionEndpoint
GET/tokens/khorosapi/ownerId/{ownerId}
Return whether a JWT exists for an entity
POST/tokens/khorosapi/ownerId/{ownerId}
Generate a JWT token
DELETE/bots/v3/tokens/appId/{appId}
Invalidate the JWT used to authenticate calls to the Bot v3 API
Path Params
string
required
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json